| cutseq

## Function

Removes a specified section from a sequence

## Description

This simple editing program allows you to cut out a region from your sequence by specifying the begin and end positions of the sequence to remove.

It removes the sequence from the specified start to the end positions (inclusive) and returns the rest of the sequence in the output file.

## Usage

Here is a sample session with cutseq

To remove bases 10 to 12 from a database entry and write to the new sequence file 'gatta2.seq':

    % cutseq tembl:paamir gatta2.seq -from=10 -to=12
    Removes a specified section from a sequence.

Go to the input files for this example
Go to the output files for this example

Example 2

To remove the first 20 bases from 'tembl:paamir' and write it to 'jsh.seq':

    % cutseq tembl:paamir -from=1 -to=20 -out=jsh.seq
    Removes a specified section from a sequence.

Go to the output files for this example

Example 3

If the default start and end positions are accepted, then all of the sequence is removed!

    % cutseq tembl:paamir starta.seq -sbeg=-1000 -send=1290
    Removes a specified section from a sequence.
    Start of region to delete [1168]:
    End of region to delete [1290]:

Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-sequence]          sequence   Sequence USA
       -from               integer    This is the start position (inclusive) of
                                      the section of the sequence that you wish to
                                      remove.
       -to                 integer    This is the end position (inclusive) of the
                                      section of the sequence that you wish to
                                      remove.
      [-outseq]            seqout     Output sequence USA

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1             integer    Start of the sequence to be used
       -send1               integer    End of the sequence to be used
       -sreverse1           boolean    Reverse (if DNA)
       -sask1               boolean    Ask for begin/end/reverse
       -snucleotide1        boolean    Sequence is nucleotide
       -sprotein1           boolean    Sequence is protein
       -slower1             boolean    Make lower case
       -supper1             boolean    Make upper case
       -sformat1            string     Input sequence format
       -sdbname1            string     Database name
       -sid1                string     Entryname
       -ufo1                string     UFO features
       -fformat1            string     Features format
       -fopenfile1          string     Features file name

       "-outseq" associated qualifiers
       -osformat2           string     Output seq format
       -osextension2        string     File name extension
       -osname2             string     Base file name
       -osdirectory2        string     Output directory
       -osdbname2           string     Database name to add
       -ossingle2           boolean    Separate file for each entry
       -oufo2               string     UFO features
       -offormat2           string     Features format
       -ofname2             string     Features file name
       -ofdirectory2        string     Output directory

       General qualifiers:
       -auto                boolean    Turn off prompts
       -stdout              boolean    Write standard output
       -filter              boolean    Read standard input, write standard output
       -options             boolean    Prompt for standard and additional values
       -debug               boolean    Write debug output to program.dbg
       -verbose             boolean    Report some/full command line options
       -help                boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning             boolean    Report warnings
       -error               boolean    Report errors
       -fatal               boolean    Report fatal errors
       -die                 boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Sequence USA | Readable sequence | Required
-from | This is the start position (inclusive) of the section of the sequence that you wish to remove. | Any integer value | Start of sequence (0)
-to | This is the end position (inclusive) of the section of the sequence that you wish to remove. | Any integer value | End of sequence (0)
[-outseq] (Parameter 2) | Output sequence USA | Writeable sequence | <sequence>.format
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

cutseq reads a single sequence USA.

### Input files for usage example

'tembl:paamir' is a sequence entry in the example nucleic acid database 'tembl'

### Database entry: tembl:paamir

    ID   PAAMIR     standard; DNA; PRO; 2167 BP.
    XX
    AC   X13776; M43175;
    XX
    SV   X13776.1
    XX
    DT   19-APR-1989 (Rel. 19, Created)
    DT   17-FEB-1997 (Rel. 50, Last updated, Version 22)
    XX
    DE   Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    XX
    KW   aliphatic amidase regulator; amiC gene; amiR gene.
    XX
    OS   Pseudomonas aeruginosa
    OC   Bacteria; Proteobacteria; gamma subdivision; Pseudomonadaceae; Pseudomonas.
    XX
    RN   [1]
    RP   1167-2167
    RA   Rice P.M.;
    RT   ;
    RL   Submitted (16-DEC-1988) to the EMBL/GenBank/DDBJ databases.
    RL   Rice P.M., EMBL, Postfach 10-2209, Meyerhofstrasse 1, 6900 Heidelberg, FRG.
    XX
    RN   [2]
    RP   1167-2167
    RX   MEDLINE; 89211409.
    RA   Lowe N., Rice P.M., Drew R.E.;
    RT   "Nucleotide sequence of the aliphatic amidase regulator gene of Pseudomonas
    RT   aeruginosa";
    RL   FEBS Lett. 246:39-43(1989).
    XX
    RN   [3]
    RP   1-1292
    RX   MEDLINE; 91317707.
    RA   Wilson S., Drew R.;
    RT   "Cloning and DNA seqence of amiC, a new gene regulating expression of the
    RT   Pseudomonas aeruginosa aliphatic amidase, and purification of the amiC
    RT   product.";
    RL   J. Bacteriol. 173:4914-4921(1991).
    XX
    RN   [4]
    RP   1-2167
    RA   Rice P.M.;
    RT   ;
    RL   Submitted (04-SEP-1991) to the EMBL/GenBank/DDBJ databases.
    RL   Rice P.M., EMBL, Postfach 10-2209, Meyerhofstrasse 1, 6900 Heidelberg, FRG.
    XX
    DR   SWISS-PROT; P10932; AMIR_PSEAE.
    DR   SWISS-PROT; P27017; AMIC_PSEAE.
    DR   SWISS-PROT; Q51417; AMIS_PSEAE.

      [Part of this file has been deleted for brevity]

    FT                   phenotype"
    FT                   /replace=""
    FT                   /gene="amiC"
    FT   misc_feature    1
    FT                   /note="last base of an XhoI site"
    FT   misc_feature    648..653
    FT                   /note="end of 658bp XhoI fragment, deletion in  pSW3 causes
    FT                   constitutive expression of amiE"
    FT   conflict        1281
    FT                   /replace="g"
    FT                   /citation=[3]
    XX
    SQ   Sequence 2167 BP; 363 A; 712 C; 730 G; 362 T; 0 other;
         ggtaccgctg gccgagcatc tgctcgatca ccaccagccg ggcgacggga actgcacgat        60
         ctacctggcg agcctggagc acgagcgggt tcgcttcgta cggcgctgag cgacagtcac       120
         aggagaggaa acggatggga tcgcaccagg agcggccgct gatcggcctg ctgttctccg       180
         aaaccggcgt caccgccgat atcgagcgct cgcacgcgta tggcgcattg ctcgcggtcg       240
         agcaactgaa ccgcgagggc ggcgtcggcg gtcgcccgat cgaaacgctg tcccaggacc       300
         ccggcggcga cccggaccgc tatcggctgt gcgccgagga cttcattcgc aaccgggggg       360
         tacggttcct cgtgggctgc tacatgtcgc acacgcgcaa ggcggtgatg ccggtggtcg       420
         agcgcgccga cgcgctgctc tgctacccga ccccctacga gggcttcgag tattcgccga       480
         acatcgtcta cggcggtccg gcgccgaacc agaacagtgc gccgctggcg gcgtacctga       540
         ttcgccacta cggcgagcgg gtggtgttca tcggctcgga ctacatctat ccgcgggaaa       600
         gcaaccatgt gatgcgccac ctgtatcgcc agcacggcgg cacggtgctc gaggaaatct       660
         acattccgct gtatccctcc gacgacgact tgcagcgcgc cgtcgagcgc atctaccagg       720
         cgcgcgccga cgtggtcttc tccaccgtgg tgggcaccgg caccgccgag ctgtatcgcg       780
         ccatcgcccg tcgctacggc gacggcaggc ggccgccgat cgccagcctg accaccagcg       840
         aggcggaggt ggcgaagatg gagagtgacg tggcagaggg gcaggtggtg gtcgcgcctt       900
         acttctccag catcgatacg cccgccagcc gggccttcgt ccaggcctgc catggtttct       960
         tcccggagaa cgcgaccatc accgcctggg ccgaggcggc ctactggcag accttgttgc      1020
         tcggccgcgc cgcgcaggcc gcaggcaact ggcgggtgga agacgtgcag cggcacctgt      1080
         acgacatcga catcgacgcg ccacaggggc cggtccgggt ggagcgccag aacaaccaca      1140
         gccgcctgtc ttcgcgcatc gcggaaatcg atgcgcgcgg cgtgttccag gtccgctggc      1200
         agtcgcccga accgattcgc cccgaccctt atgtcgtcgt gcataacctc gacgactggt      1260
         ccgccagcat gggcggggga ccgctcccat gagcgccaac tcgctgctcg gcagcctgcg      1320
         cgagttgcag gtgctggtcc tcaacccgcc gggggaggtc agcgacgccc tggtcttgca      1380
         gctgatccgc atcggttgtt cggtgcgcca gtgctggccg ccgccggaag ccttcgacgt      1440
         gccggtggac gtggtcttca ccagcatttt ccagaatggc caccacgacg agatcgctgc      1500
         gctgctcgcc gccgggactc cgcgcactac cctggtggcg ctggtggagt acgaaagccc      1560
         cgcggtgctc tcgcagatca tcgagctgga gtgccacggc gtgatcaccc agccgctcga      1620
         tgcccaccgg gtgctgcctg tgctggtatc ggcgcggcgc atcagcgagg aaatggcgaa      1680
         gctgaagcag aagaccgagc agctccagga ccgcatcgcc ggccaggccc ggatcaacca      1740
         ggccaaggtg ttgctgatgc agcgccatgg ctgggacgag cgcgaggcgc accagcacct      1800
         gtcgcgggaa gcgatgaagc ggcgcgagcc gatcctgaag atcgctcagg agttgctggg      1860
         aaacgagccg tccgcctgag cgatccgggc cgaccagaac aataacaaga ggggtatcgt      1920
         catcatgctg ggactggttc tgctgtacgt tggcgcggtg ctgtttctca atgccgtctg      1980
         gttgctgggc aagatcagcg gtcgggaggt ggcggtgatc aacttcctgg tcggcgtgct      2040
         gagcgcctgc gtcgcgttct acctgatctt ttccgcagca gccgggcagg gctcgctgaa      2100
         ggccggagcg ctgaccctgc tattcgcttt tacctatctg tgggtggccg ccaaccagtt      2160
         cctcgag                                                                2167
    //

## Output file format

cutseq writes a single sequence file.

### Output files for usage example

### File: gatta2.seq

    >PAAMIR X13776.1 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    ggtaccgctcgagcatctgctcgatcaccaccagccgggcgacgggaactgcacgatcta
    cctggcgagcctggagcacgagcgggttcgcttcgtacggcgctgagcgacagtcacagg
    agaggaaacggatgggatcgcaccaggagcggccgctgatcggcctgctgttctccgaaa
    ccggcgtcaccgccgatatcgagcgctcgcacgcgtatggcgcattgctcgcggtcgagc
    aactgaaccgcgagggcggcgtcggcggtcgcccgatcgaaacgctgtcccaggaccccg
    gcggcgacccggaccgctatcggctgtgcgccgaggacttcattcgcaaccggggggtac
    ggttcctcgtgggctgctacatgtcgcacacgcgcaaggcggtgatgccggtggtcgagc
    gcgccgacgcgctgctctgctacccgaccccctacgagggcttcgagtattcgccgaaca
    tcgtctacggcggtccggcgccgaaccagaacagtgcgccgctggcggcgtacctgattc
    gccactacggcgagcgggtggtgttcatcggctcggactacatctatccgcgggaaagca
    accatgtgatgcgccacctgtatcgccagcacggcggcacggtgctcgaggaaatctaca
    ttccgctgtatccctccgacgacgacttgcagcgcgccgtcgagcgcatctaccaggcgc
    gcgccgacgtggtcttctccaccgtggtgggcaccggcaccgccgagctgtatcgcgcca
    tcgcccgtcgctacggcgacggcaggcggccgccgatcgccagcctgaccaccagcgagg
    cggaggtggcgaagatggagagtgacgtggcagaggggcaggtggtggtcgcgccttact
    tctccagcatcgatacgcccgccagccgggccttcgtccaggcctgccatggtttcttcc
    cggagaacgcgaccatcaccgcctgggccgaggcggcctactggcagaccttgttgctcg
    gccgcgccgcgcaggccgcaggcaactggcgggtggaagacgtgcagcggcacctgtacg
    acatcgacatcgacgcgccacaggggccggtccgggtggagcgccagaacaaccacagcc
    gcctgtcttcgcgcatcgcggaaatcgatgcgcgcggcgtgttccaggtccgctggcagt
    cgcccgaaccgattcgccccgacccttatgtcgtcgtgcataacctcgacgactggtccg
    ccagcatgggcgggggaccgctcccatgagcgccaactcgctgctcggcagcctgcgcga
    gttgcaggtgctggtcctcaacccgccgggggaggtcagcgacgccctggtcttgcagct
    gatccgcatcggttgttcggtgcgccagtgctggccgccgccggaagccttcgacgtgcc
    ggtggacgtggtcttcaccagcattttccagaatggccaccacgacgagatcgctgcgct
    gctcgccgccgggactccgcgcactaccctggtggcgctggtggagtacgaaagccccgc
    ggtgctctcgcagatcatcgagctggagtgccacggcgtgatcacccagccgctcgatgc
    ccaccgggtgctgcctgtgctggtatcggcgcggcgcatcagcgaggaaatggcgaagct
    gaagcagaagaccgagcagctccaggaccgcatcgccggccaggcccggatcaaccaggc
    caaggtgttgctgatgcagcgccatggctgggacgagcgcgaggcgcaccagcacctgtc
    gcgggaagcgatgaagcggcgcgagccgatcctgaagatcgctcaggagttgctgggaaa
    cgagccgtccgcctgagcgatccgggccgaccagaacaataacaagaggggtatcgtcat
    catgctgggactggttctgctgtacgttggcgcggtgctgtttctcaatgccgtctggtt
    gctgggcaagatcagcggtcgggaggtggcggtgatcaacttcctggtcggcgtgctgag
    cgcctgcgtcgcgttctacctgatcttttccgcagcagccgggcagggctcgctgaaggc
    cggagcgctgaccctgctattcgcttttacctatctgtgggtggccgccaaccagttcct
    cgag

### Output files for usage example 2

### File: jsh.seq

    >PAAMIR X13776.1 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    tgctcgatcaccaccagccgggcgacgggaactgcacgatctacctggcgagcctggagc
    acgagcgggttcgcttcgtacggcgctgagcgacagtcacaggagaggaaacggatggga
    tcgcaccaggagcggccgctgatcggcctgctgttctccgaaaccggcgtcaccgccgat
    atcgagcgctcgcacgcgtatggcgcattgctcgcggtcgagcaactgaaccgcgagggc
    ggcgtcggcggtcgcccgatcgaaacgctgtcccaggaccccggcggcgacccggaccgc
    tatcggctgtgcgccgaggacttcattcgcaaccggggggtacggttcctcgtgggctgc
    tacatgtcgcacacgcgcaaggcggtgatgccggtggtcgagcgcgccgacgcgctgctc
    tgctacccgaccccctacgagggcttcgagtattcgccgaacatcgtctacggcggtccg
    gcgccgaaccagaacagtgcgccgctggcggcgtacctgattcgccactacggcgagcgg
    gtggtgttcatcggctcggactacatctatccgcgggaaagcaaccatgtgatgcgccac
    ctgtatcgccagcacggcggcacggtgctcgaggaaatctacattccgctgtatccctcc
    gacgacgacttgcagcgcgccgtcgagcgcatctaccaggcgcgcgccgacgtggtcttc
    tccaccgtggtgggcaccggcaccgccgagctgtatcgcgccatcgcccgtcgctacggc
    gacggcaggcggccgccgatcgccagcctgaccaccagcgaggcggaggtggcgaagatg
    gagagtgacgtggcagaggggcaggtggtggtcgcgccttacttctccagcatcgatacg
    cccgccagccgggccttcgtccaggcctgccatggtttcttcccggagaacgcgaccatc
    accgcctgggccgaggcggcctactggcagaccttgttgctcggccgcgccgcgcaggcc
    gcaggcaactggcgggtggaagacgtgcagcggcacctgtacgacatcgacatcgacgcg
    ccacaggggccggtccgggtggagcgccagaacaaccacagccgcctgtcttcgcgcatc
    gcggaaatcgatgcgcgcggcgtgttccaggtccgctggcagtcgcccgaaccgattcgc
    cccgacccttatgtcgtcgtgcataacctcgacgactggtccgccagcatgggcggggga
    ccgctcccatgagcgccaactcgctgctcggcagcctgcgcgagttgcaggtgctggtcc
    tcaacccgccgggggaggtcagcgacgccctggtcttgcagctgatccgcatcggttgtt
    cggtgcgccagtgctggccgccgccggaagccttcgacgtgccggtggacgtggtcttca
    ccagcattttccagaatggccaccacgacgagatcgctgcgctgctcgccgccgggactc
    cgcgcactaccctggtggcgctggtggagtacgaaagccccgcggtgctctcgcagatca
    tcgagctggagtgccacggcgtgatcacccagccgctcgatgcccaccgggtgctgcctg
    tgctggtatcggcgcggcgcatcagcgaggaaatggcgaagctgaagcagaagaccgagc
    agctccaggaccgcatcgccggccaggcccggatcaaccaggccaaggtgttgctgatgc
    agcgccatggctgggacgagcgcgaggcgcaccagcacctgtcgcgggaagcgatgaagc
    ggcgcgagccgatcctgaagatcgctcaggagttgctgggaaacgagccgtccgcctgag
    cgatccgggccgaccagaacaataacaagaggggtatcgtcatcatgctgggactggttc
    tgctgtacgttggcgcggtgctgtttctcaatgccgtctggttgctgggcaagatcagcg
    gtcgggaggtggcggtgatcaacttcctggtcggcgtgctgagcgcctgcgtcgcgttct
    acctgatcttttccgcagcagccgggcagggctcgctgaaggccggagcgctgaccctgc
    tattcgcttttacctatctgtgggtggccgccaaccagttcctcgag

### Output files for usage example 3

### File: starta.seq

    >PAAMIR X13776.1 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation

## Data files

None.

## Notes

This can be used as a simple sequence editor.

## References

None.

## Warnings

You can delete a complete sequence and write out an empty sequence file.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0

## Known bugs

None.

## See also

Program name | Description
--- | ---
biosed | Replace or delete sequence sections
degapseq | Removes gap characters from sequences
descseq | Alter the name or description of a sequence
entret | Reads and writes (returns) flatfile entries
extractfeat | Extract features from a sequence
extractseq | Extract regions from a sequence
listor | Writes a list file of the logical OR of two sets of sequences
maskfeat | Mask off features of a sequence
maskseq | Mask off regions of a sequence
newseq | Type in a short new sequence
noreturn | Removes carriage return from ASCII files
notseq | Excludes a set of sequences and writes out the remaining ones
nthseq | Writes one sequence from a multiple set of sequences
pasteseq | Insert one sequence into another
revseq | Reverse and complement a sequence
seqret | Reads and writes (returns) sequences
seqretsplit | Reads and writes (returns) sequences in individual files
skipseq | Reads and writes (returns) sequences, skipping the first few
splitter | Split a sequence into (overlapping) smaller sequences
trimest | Trim poly-A tails off EST sequences
trimseq | Trim ambiguous bits off the ends of sequences
union | Reads sequence fragments and builds one sequence
vectorstrip | Strips out DNA between a pair of vector sequences
yank | Reads a sequence range, appends the full USA to a list file

## Author(s)

Gary Williams (gwilliam © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

Completed 26 Jan 1999

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None